<html>
    <head >
        <meta charset="utf-8">
        <title>Gerador de número</title>
        
        <script type="text/javascript">
            function calcularAleatorio() {
                var primeiroNumero = document.getElementById("primeiroNumero").value
                var segundoNumero = document.getElementById("segundoNumero").value

                if (primeiroNumero === segundoNumero) {
                    alert("Insira números diferentes")
                } else {
                    var numeroAleatorio;
                    if (primeiroNumero < segundoNumero){
                        numeroAleatorio = parseInt(Math.random() * (segundoNumero - primeiroNumero) + primeiroNumero)
                    } else {
                        numeroAleatorio = parseInt(Math.random() * (primeiroNumero - segundoNumero) + segundoNumero)
                    }
                    alert(numeroAleatorio)
                }
            }
        </script>

    </head>
    <body>
        <h2>Gerador de número aleatório</h2>

        <input type="number" id="primeiroNumero" placeholder="Primeiro número">
        <input type="number" id="segundoNumero" placeholder="Segundo número">

        <button onclick="calcularAleatorio()">Gerar</button>
    </body>
</html>